-- UC_SAT_Projects
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,									Kind)
VALUES	('PROJECT_JNR_SATELLITE_OBSERVATION',	'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_ESPIONAGE',		'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_MILITARY',		'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_WEATHER',		'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_BROADCAST',		'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	'KIND_PROJECT'),
		('PROJECT_JNR_SATELLITE_SOLAR_POWER',	'KIND_PROJECT');
--------------------------------------------------------------

-- Projects
--------------------------------------------------------------
INSERT OR IGNORE INTO Projects
		(ProjectType,							Cost,	CostProgressionModel,						CostProgressionParam1,	PrereqDistrict,			VisualBuildingType,			SpaceRace,	MaxPlayerInstances,	PrereqResource,			AdvisorType,		Name,											ShortName,												Description,											PopupText)
VALUES	('PROJECT_JNR_SATELLITE_OBSERVATION',	750,	'NO_PROGRESSION_MODEL',						0,						'DISTRICT_SPACEPORT',	'BUILDING_MEDIUM_ROCKET',	1,			1,					NULL,					'ADVISOR_GENERIC',	'LOC_PROJECT_JNR_SATELLITE_OBSERVATION_NAME',	'LOC_PROJECT_JNR_SATELLITE_OBSERVATION_SHORT_NAME',		'LOC_PROJECT_JNR_SATELLITE_OBSERVATION_DESCRIPTION',	'LOC_PROJECT_JNR_SATELLITE_OBSERVATION_POPUP'),
		('PROJECT_JNR_SATELLITE_ESPIONAGE',		1000,	'NO_PROGRESSION_MODEL',						0,						'DISTRICT_SPACEPORT',	'BUILDING_MEDIUM_ROCKET',	1,			1,					'RESOURCE_ALUMINUM',	'ADVISOR_GENERIC',	'LOC_PROJECT_JNR_SATELLITE_ESPIONAGE_NAME',		'LOC_PROJECT_JNR_SATELLITE_ESPIONAGE_SHORT_NAME',		'LOC_PROJECT_JNR_SATELLITE_ESPIONAGE_DESCRIPTION',		'LOC_PROJECT_JNR_SATELLITE_ESPIONAGE_POPUP'),
		('PROJECT_JNR_SATELLITE_MILITARY',		1000,	'NO_PROGRESSION_MODEL',						0,						'DISTRICT_SPACEPORT',	'BUILDING_MEDIUM_ROCKET',	1,			1,					'RESOURCE_ALUMINUM',	'ADVISOR_CONQUEST',	'LOC_PROJECT_JNR_SATELLITE_MILITARY_NAME',		'LOC_PROJECT_JNR_SATELLITE_MILITARY_SHORT_NAME',		'LOC_PROJECT_JNR_SATELLITE_MILITARY_DESCRIPTION',		'LOC_PROJECT_JNR_SATELLITE_MILITARY_POPUP'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	1000,	'NO_PROGRESSION_MODEL',						0,						'DISTRICT_SPACEPORT',	'BUILDING_MEDIUM_ROCKET',	1,			1,					'RESOURCE_ALUMINUM',	'ADVISOR_GENERIC',	'LOC_PROJECT_JNR_SATELLITE_NAVIGATION_NAME',	'LOC_PROJECT_JNR_SATELLITE_NAVIGATION_SHORT_NAME',		'LOC_PROJECT_JNR_SATELLITE_NAVIGATION_DESCRIPTION',		'LOC_PROJECT_JNR_SATELLITE_NAVIGATION_POPUP'),
		('PROJECT_JNR_SATELLITE_WEATHER',		1000,	'NO_PROGRESSION_MODEL',						0,						'DISTRICT_SPACEPORT',	'BUILDING_MEDIUM_ROCKET',	1,			1,					'RESOURCE_ALUMINUM',	'ADVISOR_GENERIC',	'LOC_PROJECT_JNR_SATELLITE_WEATHER_NAME',		'LOC_PROJECT_JNR_SATELLITE_WEATHER_SHORT_NAME',			'LOC_PROJECT_JNR_SATELLITE_WEATHER_DESCRIPTION',		'LOC_PROJECT_JNR_SATELLITE_WEATHER_POPUP'),
		('PROJECT_JNR_SATELLITE_BROADCAST',		750,	'COST_PROGRESSION_PREVIOUS_GROUP_COPIES',	250,					'DISTRICT_SPACEPORT',	'BUILDING_SMALL_ROCKET',	1,			NULL,				'RESOURCE_ALUMINUM',	'ADVISOR_CULTURE',	'LOC_PROJECT_JNR_SATELLITE_BROADCAST_NAME',		'LOC_PROJECT_JNR_SATELLITE_BROADCAST_SHORT_NAME',		'LOC_PROJECT_JNR_SATELLITE_BROADCAST_DESCRIPTION',		'LOC_PROJECT_JNR_SATELLITE_BROADCAST_POPUP'),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	750,	'COST_PROGRESSION_PREVIOUS_GROUP_COPIES',	250,					'DISTRICT_SPACEPORT',	'BUILDING_SMALL_ROCKET',	1,			NULL,				'RESOURCE_ALUMINUM',	'ADVISOR_GENERIC',	'LOC_PROJECT_JNR_SATELLITE_COMMUNICATION_NAME',	'LOC_PROJECT_JNR_SATELLITE_COMMUNICATION_SHORT_NAME',	'LOC_PROJECT_JNR_SATELLITE_COMMUNICATION_DESCRIPTION',	'LOC_PROJECT_JNR_SATELLITE_COMMUNICATION_POPUP'),
		('PROJECT_JNR_SATELLITE_SOLAR_POWER',	1500,	'NO_PROGRESSION_MODEL',						0,						'DISTRICT_SPACEPORT',	'BUILDING_SMALL_ROCKET',	1,			NULL,				'RESOURCE_ALUMINUM',	'ADVISOR_GENERIC',	'LOC_PROJECT_JNR_SATELLITE_SOLAR_POWER_NAME',	'LOC_PROJECT_JNR_SATELLITE_SOLAR_POWER_SHORT_NAME',		'LOC_PROJECT_JNR_SATELLITE_SOLAR_POWER_DESCRIPTION',	'LOC_PROJECT_JNR_SATELLITE_SOLAR_POWER_POPUP');


		
UPDATE	Projects
SET		Description='LOC_PROJECT_LAUNCH_EARTH_SATELLITE_DESCRIPTION_JNR_UC',
		PopupText='LOC_PROJECT_LAUNCH_EARTH_SATELLITE_POPUP_JNR_UC'
WHERE	ProjectType='PROJECT_LAUNCH_EARTH_SATELLITE';
--------------------------------------------------------------

-- TypeProperties
--------------------------------------------------------------
INSERT OR IGNORE INTO TypeProperties
		(Type,									Name,						Value)
VALUES	('PROJECT_JNR_SATELLITE_BROADCAST',		'COST_PROGRESSION_GROUP',	'COST_GROUP_JNR_SATELLITE_BROADCAST_PROJECTS'),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	'COST_PROGRESSION_GROUP',	'COST_GROUP_JNR_SATELLITE_COMMUNICATION_PROJECTS');
--------------------------------------------------------------

-- Projects_XP2
--------------------------------------------------------------
INSERT OR IGNORE INTO Projects_XP2
		(ProjectType,							UnlocksFromEffect)
VALUES	('PROJECT_JNR_SATELLITE_OBSERVATION',	1),
		('PROJECT_JNR_SATELLITE_ESPIONAGE',		1),
		('PROJECT_JNR_SATELLITE_MILITARY',		1),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	1),
		('PROJECT_JNR_SATELLITE_WEATHER',		1),
		('PROJECT_JNR_SATELLITE_BROADCAST',		1),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	1),
		('PROJECT_JNR_SATELLITE_SOLAR_POWER',	1);
--------------------------------------------------------------

-- ProjectPrereqs
--------------------------------------------------------------
INSERT OR IGNORE INTO ProjectPrereqs
		(ProjectType,							PrereqProjectType,					MinimumPlayerInstances)
VALUES	('PROJECT_JNR_SATELLITE_OBSERVATION',	'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_ESPIONAGE',		'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_MILITARY',		'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_WEATHER',		'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_BROADCAST',		'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	'PROJECT_LAUNCH_EARTH_SATELLITE',	1),
		('PROJECT_JNR_SATELLITE_SOLAR_POWER',	'PROJECT_LAUNCH_MARS_BASE',			1);
--------------------------------------------------------------

-- Project_ResourceCosts
--------------------------------------------------------------
INSERT OR IGNORE INTO Project_ResourceCosts
		(ProjectType,							ResourceType,			StartProductionCost)
VALUES	('PROJECT_JNR_SATELLITE_ESPIONAGE',		'RESOURCE_ALUMINUM',	30),
		('PROJECT_JNR_SATELLITE_MILITARY',		'RESOURCE_ALUMINUM',	30),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'RESOURCE_ALUMINUM',	30),
		('PROJECT_JNR_SATELLITE_WEATHER',		'RESOURCE_ALUMINUM',	30),
		('PROJECT_JNR_SATELLITE_BROADCAST',		'RESOURCE_ALUMINUM',	15),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	'RESOURCE_ALUMINUM',	15),
		('PROJECT_JNR_SATELLITE_SOLAR_POWER',	'RESOURCE_ALUMINUM',	15);
--------------------------------------------------------------

-- Project_GreatPersonPoints
--------------------------------------------------------------
INSERT OR IGNORE INTO Project_GreatPersonPoints
		(ProjectType,						GreatPersonClassType,			Points)
VALUES	('PROJECT_LAUNCH_EARTH_SATELLITE',	'GREAT_PERSON_CLASS_ENGINEER',	100),
		('PROJECT_LAUNCH_EARTH_SATELLITE',	'GREAT_PERSON_CLASS_SCIENTIST',	100);
--------------------------------------------------------------

-- Vocabularies
--------------------------------------------------------------
INSERT OR IGNORE INTO Vocabularies
		(Vocabulary)
VALUES	('IMPROVEMENT_CLASS');
--------------------------------------------------------------

-- Tags
--------------------------------------------------------------
INSERT OR IGNORE INTO Tags
		(Tag,						Vocabulary)
VALUES	('CLASS_JNR_AGRICULTURE',	'IMPROVEMENT_CLASS');
--------------------------------------------------------------

-- TypeTags
--------------------------------------------------------------
INSERT OR IGNORE INTO TypeTags
		(Tag,						Type)
SELECT	'CLASS_JNR_AGRICULTURE',	ImprovementType
FROM	Improvement_YieldChanges
WHERE	YieldType='YIELD_FOOD';
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,											RequirementType)
VALUES	('REQUIRES_PLOT_HAS_FOOD_IMPROVEMENT_JNR',				'REQUIREMENT_PLOT_IMPROVEMENT_TAG_MATCHES'),
		('REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR',				'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_PLAYER_HAS_TIER3_GOV_DISTRICT_JNR',			'REQUIREMENT_COLLECTION_COUNT_ATLEAST'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_ENCAMPMENT_JNR',	'REQUIREMENT_COLLECTION_COUNT_ATLEAST'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_HARBOR_JNR',		'REQUIREMENT_COLLECTION_COUNT_ATLEAST'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_CAMPUS_JNR',		'REQUIREMENT_COLLECTION_COUNT_ATLEAST'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_THEATER_JNR',	'REQUIREMENT_COLLECTION_COUNT_ATLEAST'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_COMMERCIAL_JNR',	'REQUIREMENT_COLLECTION_COUNT_ATLEAST'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_INDUSTRIAL_JNR',	'REQUIREMENT_COLLECTION_COUNT_ATLEAST');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,											Name,					Value)
VALUES	('REQUIRES_PLOT_HAS_FOOD_IMPROVEMENT_JNR',				'Tag',					'CLASS_JNR_AGRICULTURE'),
		('REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR',				'TechnologyType',		'TECH_SATELLITES'),
		('REQUIRES_PLAYER_HAS_TIER3_GOV_DISTRICT_JNR',			'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_TIER3_GOV_DISTRICT_JNR',			'Count',				1),
		('REQUIRES_PLAYER_HAS_TIER3_GOV_DISTRICT_JNR',			'RequirementSetId',		'CITY_HAS_TIER_3_GOV_BUILDING'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_ENCAMPMENT_JNR',	'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_ENCAMPMENT_JNR',	'Count',				3),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_ENCAMPMENT_JNR',	'RequirementSetId',		'BUILDING_IS_ENCAMPMENT_TIER3_JNR'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_HARBOR_JNR',		'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_HARBOR_JNR',		'Count',				3),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_HARBOR_JNR',		'RequirementSetId',		'BUILDING_IS_HARBOR_TIER3_JNR'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_CAMPUS_JNR',		'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_CAMPUS_JNR',		'Count',				3),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_CAMPUS_JNR',		'RequirementSetId',		'BUILDING_IS_CAMPUS_TIER4_JNR'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_THEATER_JNR',	'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_THEATER_JNR',	'Count',				3),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_THEATER_JNR',	'RequirementSetId',		'BUILDING_IS_THEATER_TIER4_JNR'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_COMMERCIAL_JNR',	'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_COMMERCIAL_JNR',	'Count',				3),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_COMMERCIAL_JNR',	'RequirementSetId',		'BUILDING_IS_COMMERCIAL_TIER3_JNR'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_INDUSTRIAL_JNR',	'CollectionType',		'COLLECTION_PLAYER_CITIES'),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_INDUSTRIAL_JNR',	'Count',				3),
		('REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_INDUSTRIAL_JNR',	'RequirementSetId',		'BUILDING_IS_INDUSTRIAL_TIER4_JNR');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,										RequirementSetType)
VALUES	('PLOT_HAS_FOOD_IMPROVEMENT_JNR',						'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_WEATHER_PRODUCTION',				'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_OBSERVATION',			'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_ESPIONAGE',			'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_MILITARY',				'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_NAVIGATION',			'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_WEATHER',				'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_BROADCAST',			'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_COMMUNICATION',		'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_SOLAR_POWER',			'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,										RequirementId)
VALUES	('PLOT_HAS_FOOD_IMPROVEMENT_JNR',						'REQUIRES_PLOT_HAS_FOOD_IMPROVEMENT_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_OBSERVATION',			'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_ESPIONAGE',			'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_ESPIONAGE',			'REQUIRES_PLAYER_HAS_TIER3_GOV_DISTRICT_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_MILITARY',				'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_MILITARY',				'REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_ENCAMPMENT_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_NAVIGATION',			'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_NAVIGATION',			'REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_HARBOR_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_WEATHER',				'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_WEATHER',				'REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_CAMPUS_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_BROADCAST',			'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_BROADCAST',			'REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_THEATER_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_COMMUNICATION',		'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_COMMUNICATION',		'REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER3_COMMERCIAL_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_SOLAR_POWER',			'REQUIRES_PLAYER_HAS_TECH_SATELLITES_JNR'),
		('REQUIREMENTS_JNR_SAT_AVAILABLE_SOLAR_POWER',			'REQUIRES_PLAYER_HAS_AT_LEAST_3_TIER4_INDUSTRIAL_JNR');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,													ModifierType,													SubjectRequirementSetId)
VALUES	('UNLOCK_PROJECT_JNR_SAT_OBSERVATION',							'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_OBSERVATION'),
		('UNLOCK_PROJECT_JNR_SAT_ESPIONAGE',							'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_ESPIONAGE'),
		('UNLOCK_PROJECT_JNR_SAT_MILITARY',								'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_MILITARY'),
		('UNLOCK_PROJECT_JNR_SAT_NAVIGATION',							'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_NAVIGATION'),
		('UNLOCK_PROJECT_JNR_SAT_WEATHER',								'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_WEATHER'),
		('UNLOCK_PROJECT_JNR_SAT_BROADCAST',							'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_BROADCAST'),
		('UNLOCK_PROJECT_JNR_SAT_COMMUNICATION',						'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_COMMUNICATION'),
		('UNLOCK_PROJECT_JNR_SAT_SOLAR_POWER',							'MODIFIER_JNR_OWNER_MAKE_PROJECT_AVAILABLE',					'REQUIREMENTS_JNR_SAT_AVAILABLE_SOLAR_POWER'),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_VISIBILITY',				'MODIFIER_PLAYER_ADD_DIPLO_VISIBILITY',							NULL),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_SPY_BONUS',				'MODIFIER_PLAYER_ADJUST_SPY_BONUS',								NULL),
		('PROJECT_COMPLETION_JNR_SAT_MILITARY_AIR_STRENGTH',			'MODIFIER_PLAYER_UNITS_GRANT_ABILITY',							NULL),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_SEA_MOVEMENT',			'MODIFIER_PLAYER_UNITS_GRANT_ABILITY',							NULL),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_EMBARKED_MOVEMENT',		'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT',						NULL),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_EMBARKED_TEXT_ONLY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY',							NULL),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_DOMESTIC_TRADE',		'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC',		NULL),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_INTERNATIONAL_TRADE',	'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL',	NULL),
		('PROJECT_COMPLETION_JNR_SAT_WEATHER_FARM_FOOD',				'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_FOOD_IMPROVEMENT_JNR'),
		('PROJECT_COMPLETION_JNR_SAT_WEATHER_DIPLOMATIC_VP',			'MODIFIER_PLAYER_ADJUST_DIPLOMATIC_VICTORY_POINTS',				NULL),
		('PROJECT_COMPLETION_JNR_SAT_BROADCAST_TOURISM',				'MODIFIER_PLAYER_ADJUST_TOURISM',								NULL),
		('PROJECT_COMPLETION_JNR_SAT_COMMUNICATION_ENVOYS',				'MODIFIER_PLAYER_GRANT_INFLUENCE_TOKEN',						NULL),
		('PROJECT_COMPLETION_JNR_SAT_SOLAR_POWER',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',						NULL);

UPDATE Modifiers SET RunOnce=1,	Permanent=1 WHERE ModifierId='PROJECT_COMPLETION_JNR_SAT_WEATHER_DIPLOMATIC_VP';
UPDATE Modifiers SET RunOnce=1,	Permanent=1 WHERE ModifierId='PROJECT_COMPLETION_JNR_SAT_COMMUNICATION_ENVOYS';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,													Name,				Value)
VALUES	('UNLOCK_PROJECT_JNR_SAT_OBSERVATION',							'ProjectType',		'PROJECT_JNR_SATELLITE_OBSERVATION'),
		('UNLOCK_PROJECT_JNR_SAT_ESPIONAGE',							'ProjectType',		'PROJECT_JNR_SATELLITE_ESPIONAGE'),
		('UNLOCK_PROJECT_JNR_SAT_MILITARY',								'ProjectType',		'PROJECT_JNR_SATELLITE_MILITARY'),
		('UNLOCK_PROJECT_JNR_SAT_NAVIGATION',							'ProjectType',		'PROJECT_JNR_SATELLITE_NAVIGATION'),
		('UNLOCK_PROJECT_JNR_SAT_WEATHER',								'ProjectType',		'PROJECT_JNR_SATELLITE_WEATHER'),
		('UNLOCK_PROJECT_JNR_SAT_BROADCAST',							'ProjectType',		'PROJECT_JNR_SATELLITE_BROADCAST'),
		('UNLOCK_PROJECT_JNR_SAT_COMMUNICATION',						'ProjectType',		'PROJECT_JNR_SATELLITE_COMMUNICATION'),
		('UNLOCK_PROJECT_JNR_SAT_SOLAR_POWER',							'ProjectType',		'PROJECT_JNR_SATELLITE_SOLAR_POWER'),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_VISIBILITY',				'Amount',			1),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_VISIBILITY',				'Source',			'SOURCE_JNR_PROJECT_SATELLITE'),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_VISIBILITY',				'SourceType',		'DIPLO_SOURCE_ALL_NAMES'),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_SPY_BONUS',				'Offense',			1),
		('PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_SPY_BONUS',				'Amount',			1),
		('PROJECT_COMPLETION_JNR_SAT_MILITARY_AIR_STRENGTH',			'AbilityType',		'ABILITY_JNR_SAT_MILITARY_AIR_STRENGTH_BUFF'),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_SEA_MOVEMENT',			'AbilityType',		'ABILITY_JNR_SAT_NAVIGATION_SEA_MOVEMENT_BUFF'),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_EMBARKED_MOVEMENT',		'Amount',			1),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_EMBARKED_TEXT_ONLY',	'AbilityType',		'ABILITY_JNR_SAT_NAVIGATION_EMBARKED_BUFF'),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_DOMESTIC_TRADE',		'YieldType',		'YIELD_PRODUCTION'),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_DOMESTIC_TRADE',		'Amount',			2),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_DOMESTIC_TRADE',		'Intercontinental',	1),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_INTERNATIONAL_TRADE',	'YieldType',		'YIELD_GOLD'),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_INTERNATIONAL_TRADE',	'Amount',			4),
		('PROJECT_COMPLETION_JNR_SAT_NAVIGATION_INTERNATIONAL_TRADE',	'Intercontinental',	1),
		('PROJECT_COMPLETION_JNR_SAT_WEATHER_FARM_FOOD',				'YieldType',		'YIELD_FOOD'),
		('PROJECT_COMPLETION_JNR_SAT_WEATHER_FARM_FOOD',				'Amount',			1),
		('PROJECT_COMPLETION_JNR_SAT_WEATHER_DIPLOMATIC_VP',			'Amount',			1),
		('PROJECT_COMPLETION_JNR_SAT_WEATHER_DIPLOMATIC_VP',			'Tooltip',			'LOC_DVP_TOOLTIP_JNR_WEATHER_SATELLITE'),
		('PROJECT_COMPLETION_JNR_SAT_BROADCAST_TOURISM',				'Amount',			5),
		('PROJECT_COMPLETION_JNR_SAT_COMMUNICATION_ENVOYS',				'Amount',			2),
		('PROJECT_COMPLETION_JNR_SAT_SOLAR_POWER',						'Amount',			9),
		('PROJECT_COMPLETION_JNR_SAT_SOLAR_POWER',						'SourceType',		'FREE_POWER_SOURCE_SOLAR');
--------------------------------------------------------------

-- ProjectCompletionModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO ProjectCompletionModifiers
		(ProjectType,							ModifierId)
VALUES	('PROJECT_JNR_SATELLITE_OBSERVATION',	'PROJECT_COMPLETION_EXPLORE_ENTIRE_MAP'),
		('PROJECT_JNR_SATELLITE_ESPIONAGE',		'PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_VISIBILITY'),
		('PROJECT_JNR_SATELLITE_ESPIONAGE',		'PROJECT_COMPLETION_JNR_SAT_ESPIONAGE_SPY_BONUS'),
		('PROJECT_JNR_SATELLITE_MILITARY',		'PROJECT_COMPLETION_JNR_SAT_MILITARY_AIR_STRENGTH'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'PROJECT_COMPLETION_JNR_SAT_NAVIGATION_SEA_MOVEMENT'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'PROJECT_COMPLETION_JNR_SAT_NAVIGATION_EMBARKED_MOVEMENT'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'PROJECT_COMPLETION_JNR_SAT_NAVIGATION_EMBARKED_TEXT_ONLY'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'PROJECT_COMPLETION_JNR_SAT_NAVIGATION_DOMESTIC_TRADE'),
		('PROJECT_JNR_SATELLITE_NAVIGATION',	'PROJECT_COMPLETION_JNR_SAT_NAVIGATION_INTERNATIONAL_TRADE'),
		('PROJECT_JNR_SATELLITE_WEATHER',		'PROJECT_COMPLETION_JNR_SAT_WEATHER_FARM_FOOD'),
		('PROJECT_JNR_SATELLITE_WEATHER',		'PROJECT_COMPLETION_JNR_SAT_WEATHER_DIPLOMATIC_VP'),
		('PROJECT_JNR_SATELLITE_BROADCAST',		'PROJECT_COMPLETION_JNR_SAT_BROADCAST_TOURISM'),
		('PROJECT_JNR_SATELLITE_COMMUNICATION',	'PROJECT_COMPLETION_JNR_SAT_COMMUNICATION_ENVOYS'),
		('PROJECT_JNR_SATELLITE_SOLAR_POWER',	'PROJECT_COMPLETION_JNR_SAT_SOLAR_POWER');

DELETE FROM ProjectCompletionModifiers WHERE ProjectType='PROJECT_LAUNCH_EARTH_SATELLITE' AND ModifierId='PROJECT_COMPLETION_EXPLORE_ENTIRE_MAP';
--------------------------------------------------------------

-- TraitModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO TraitModifiers
		(TraitType,					ModifierId)
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_OBSERVATION'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_ESPIONAGE'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_MILITARY'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_NAVIGATION'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_WEATHER'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_BROADCAST'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_COMMUNICATION'),
		('TRAIT_LEADER_MAJOR_CIV',	'UNLOCK_PROJECT_JNR_SAT_SOLAR_POWER');
--------------------------------------------------------------